package com.house365.ws.service.impl;

import com.house365.beans.entity.AppUrl;
import com.house365.beans.system.QueryParams;
import com.house365.dao.system.interfaces.Dao;
import com.house365.service.system.impl.DefaultServiceImpl;
import com.house365.ws.dao.interfaces.IAppUrlDao;
import com.house365.ws.service.interfaces.IGetAppUrlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * Created by Administrator on 2018/9/13.
 */
@Service("appUrlService")
public class GetAppUrlServiceImpl<T extends AppUrl> extends DefaultServiceImpl<T> implements IGetAppUrlService<T> {

    @Autowired
    private IAppUrlDao appUrlDao;

    @Override
    public List<AppUrl> getListByType(Integer type) {
        return appUrlDao.getListByType(type);
    }

    @Override
    public Integer save(T entity) {
        return super.save(entity);
    }

    @Override
    public void batchSave(Collection<T> entities) {
        super.batchSave(entities);
    }

    @Override
    public void update(T entity) {
        super.update(entity);
    }

    @Override
    public void batchUpdate(Collection<T> entities) {
        super.batchUpdate(entities);
    }

    @Override
    public void delete(Integer id) {
        super.delete(id);
    }

    @Override
    public void deleteByIds(Integer... ids) {
        super.deleteByIds(ids);
    }

    @Override
    public T getById(Integer id) {
        return super.getById(id);
    }

    @Override
    public List<T> queryByPage(QueryParams<?> queryParams) {
        return super.queryByPage(queryParams);
    }

    @Override
    public List<T> queryAll() {
        return super.queryAll();
    }

    @Override
    public List<T> queryAll(QueryParams<?> queryParams) {
        return super.queryAll(queryParams);
    }

    @Override
    public int getTotalCount(Object params) {
        return super.getTotalCount(params);
    }

    @Override
    protected Dao<T> getDao() {
        return null;
    }
}
